Subject: python.el doesn't define `comment-start-skip'

From: "Davis Herring" <[email-masked]>
Date: Tue, 13 Jan 2009 13:43:18 -0800 (PST)

[ resent from
  http://lists.gnu.org/archive/html/emacs-devel/2009-01/msg00335.html ]

It's implied in newcomment.el that `comment-normalize-vars' should be
called before using the library, which creates `comment-start-skip' if
necessary.  However, many programming modes seem to define it themselves;
cperl-mode uses "#+ *", and the old python-mode.el uses just "# *". 
Should this be added?

Davis

-- 
This product is sold by volume, not by mass.  If it appears too dense or
too sparse, it is because mass-energy conversion has occurred during
shipping.